package classes;

import abstractClasses.UniversityMember;
import interfaces.Calculable;
import jakarta.persistence.*;

import java.util.Set;

@Entity
@Table(name = "Student")
public class Student extends UniversityMember implements Calculable
{
    @Column(name = "Status")
    private String status;

    @Column(name = "Gebühren bezahlt")
    private boolean paidFees;

    @Column(name = "Semester")
    private int semester;

    @OneToMany(mappedBy = "student")
    Set<Enrollment> enrollments;

    public Student()
    {

    }

    public Student(int id, String gender, String firstName, String lastName, String placeOfResidence, String birthPlace,
                   String officialEmail, String privateEmail, Boolean isSignedUpForCourse, String status,
                   boolean paidFess, int semester)
    {
        super(id, gender, firstName, lastName, placeOfResidence, birthPlace,
                officialEmail, privateEmail, isSignedUpForCourse);
        this.status = status;
        this.paidFees = paidFess;
        this.semester = semester;
    }

    @Override
    public double calculateAverage()
    {
        return 0;
    }

    @Override
    public int calculateMedian()
    {
        return 0;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public boolean isPaidFees()
    {
        return paidFees;
    }

    public void setPaidFees(boolean paidFees)
    {
        this.paidFees = paidFees;
    }

    public int getSemester()
    {
        return semester;
    }

    public void setSemester(int semester)
    {
        this.semester = semester;
    }
}